Package org.tanukisoftware.wrapper.event

# Class WrapperPingEvent

java.lang.Object
java.util.EventObject
org.tanukisoftware.wrapper.event.WrapperEvent
org.tanukisoftware.wrapper.event.WrapperCoreEvent
org.tanukisoftware.wrapper.event.WrapperPingEvent

All Implemented Interfaces:
  `Serializable`

public class WrapperPingEvent extends WrapperCoreEvent
WrapperPingEvent are fired each time a ping is received from the Wrapper process. This event is mainly useful for debugging and statistic collection purposes.

WARNING - Great care should be taken when receiving events of this type. They are sent from within the Wrapper's internal timing thread. If the listner takes too much time working with the event, Wrapper performance could be adversely affected. If unsure, it is recommended that events of this type not be included.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`WrapperPingEvent()`
Creates a new WrapperPingEvent.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string representation of the event.

### Methods inherited from class org.tanukisoftware.wrapper.event.WrapperCoreEvent

`getFlags`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WrapperPingEvent

public WrapperPingEvent()
Creates a new WrapperPingEvent.

## Method Details

### toString

public String toString()
Returns a string representation of the event.

Overrides:
  `toString` in class `EventObject`
Returns:
  A string representation of the event.